GWT 2.7.0

## com.google.gwt.uibinder.elementparsers
Class DialogBoxParser

    java.lang.Object
      com.google.gwt.uibinder.elementparsers.DialogBoxParser

All Implemented Interfaces:
  ElementParser

    public class DialogBoxParser

extends java.lang.Object
implements ElementParser

Parses `DialogBox` widgets.

Constructor Summary
`DialogBoxParser()`

Method Summary
`(package private) void` | `handleConstructorArgs(com.google.gwt.uibinder.rebind.XMLElement elem, java.lang.String fieldName, JClassType type, com.google.gwt.uibinder.rebind.UiBinderWriter writer, com.google.gwt.uibinder.rebind.XMLElement customCaption)` If this is DialogBox (not a subclass), parse constructor args and generate the constructor call.
`protected boolean` | `isCaption(com.google.gwt.uibinder.rebind.UiBinderWriter writer, com.google.gwt.uibinder.rebind.XMLElement element)` Determines if the element implements Caption.
`protected boolean` | `isCustomWidget(com.google.gwt.uibinder.rebind.UiBinderWriter writer, JClassType type)` Checks to see if the widget extends DialogBox or is DialogBox proper.
`void` | `parse(com.google.gwt.uibinder.rebind.XMLElement elem, java.lang.String fieldName, JClassType type, com.google.gwt.uibinder.rebind.UiBinderWriter writer)` Parse the given element, generating the code to initialize it from the element's attributes and children.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialogBoxParser

    public DialogBoxParser()

Method Detail

### parse

    public void parse(com.google.gwt.uibinder.rebind.XMLElement elem,
                      java.lang.String fieldName,
                      JClassType type,
                      com.google.gwt.uibinder.rebind.UiBinderWriter writer)
               throws UnableToCompleteException

  Description copied from interface: `ElementParser`
  Parse the given element, generating the code to initialize it from the element's attributes and children.

  Specified by:
    `parse` in interface `ElementParser`
  Parameters:
    `elem` - the element to be parsed
    `fieldName` - the name of the widget field to be initialized
    `type` - TODO
    `writer` - the writer
  Throws:
    `UnableToCompleteException` - on error

### isCaption

    protected boolean isCaption(com.google.gwt.uibinder.rebind.UiBinderWriter writer,
                                com.google.gwt.uibinder.rebind.XMLElement element)
                         throws UnableToCompleteException

  Determines if the element implements Caption.

  Throws:
    `UnableToCompleteException`

### isCustomWidget

    protected boolean isCustomWidget(com.google.gwt.uibinder.rebind.UiBinderWriter writer,
                                     JClassType type)

  Checks to see if the widget extends DialogBox or is DialogBox proper.

### handleConstructorArgs

    void handleConstructorArgs(com.google.gwt.uibinder.rebind.XMLElement elem,
                               java.lang.String fieldName,
                               JClassType type,
                               com.google.gwt.uibinder.rebind.UiBinderWriter writer,
                               com.google.gwt.uibinder.rebind.XMLElement customCaption)
                         throws UnableToCompleteException

  If this is DialogBox (not a subclass), parse constructor args and generate the constructor call. For subtypes do nothing.

  Throws:
    `UnableToCompleteException`

GWT 2.7.0